server:
  servlet:
    context-path: '/api/transaction-service'
  port: 8082

management:
  endpoints:
    web:
      exposure:
        include: [ 'prometheus', 'health', 'info' ]

spring:
  application:
    name: transaction-service
  cloud:
    openfeign:
      circuitbreaker:
        enabled: true
      client:
        config:
          default:
            logger-level: basic
  datasource:
    url: jdbc:postgresql://transaction-db:5432/transaction_db
    username: transaction_service
    password: changemelater
    driver-class-name: org.postgresql.Driver
  jpa:
    database-platform: org.hibernate.dialect.PostgreSQLDialect
    hibernate:
      ddl-auto: validate
    show-sql: true
  flyway:
    locations: db.migration
    baseline-on-migrate: true

resilience4j:
  timelimiter:
    configs:
      default:
        timeout-duration: 30s

clients:
  currency-service:
    #    url: 'http://localhost:8081/api/currency-service'
    url: 'http://currency-service:8081/api/currency-service'
